Ruby: inflate_state Struct Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Fields
inflate_state Struct Reference

`#include <inflate9.h>`

## Data Fields
unsigned char FAR * | window
unsigned | ncode
unsigned | nlen
unsigned | ndist
unsigned | have
code FAR * | next
unsigned short | lens [320]
unsigned short | work [288]
code | codes [ENOUGH]
z_streamp | strm
inflate_mode | mode
int | last
int | wrap
int | havedict
int | flags
unsigned | dmax
unsigned long | check
unsigned long | total
gz_headerp | head
unsigned | wbits
unsigned | wsize
unsigned | whave
unsigned | wnext
unsigned long | hold
unsigned | bits
unsigned | length
unsigned | offset
unsigned | extra
code const FAR * | lencode
code const FAR * | distcode
unsigned | lenbits
unsigned | distbits
int | sane
int | back
unsigned | was

## Detailed Description

Definition at line 35 of file inflate9.h.

## Field Documentation

## ◆ back

int inflate_state::back

Definition at line 124 of file inflate.h.

## ◆ bits

unsigned inflate_state::bits

Definition at line 103 of file inflate.h.

## ◆ check

unsigned long inflate_state::check

Definition at line 92 of file inflate.h.

Referenced by inflateValidate().

## ◆ codes

code inflate_state::codes

Definition at line 46 of file inflate9.h.

Referenced by inflateCopy().

## ◆ distbits

unsigned inflate_state::distbits

Definition at line 113 of file inflate.h.

Referenced by inflateBack9().

## ◆ distcode

code const FAR* inflate_state::distcode

Definition at line 111 of file inflate.h.

Referenced by inflateBack9(), and inflateCopy().

## ◆ dmax

unsigned inflate_state::dmax

Definition at line 91 of file inflate.h.

Referenced by inflate_fast().

## ◆ extra

unsigned inflate_state::extra

Definition at line 108 of file inflate.h.

Referenced by inflateBack9().

## ◆ flags

int inflate_state::flags

Definition at line 89 of file inflate.h.

Referenced by inflateSync().

## ◆ have

unsigned inflate_state::have

Definition at line 42 of file inflate9.h.

Referenced by inflate(), inflateBack(), inflateBack9(), and syncsearch().

## ◆ havedict

int inflate_state::havedict

Definition at line 88 of file inflate.h.

## ◆ head

gz_headerp inflate_state::head

Definition at line 94 of file inflate.h.

Referenced by inflateGetHeader().

## ◆ hold

unsigned long inflate_state::hold

Definition at line 102 of file inflate.h.

Referenced by inflate(), inflate_fast(), inflateBack(), and inflateBack9().

## ◆ last

int inflate_state::last

Definition at line 85 of file inflate.h.

## ◆ lenbits

unsigned inflate_state::lenbits

Definition at line 112 of file inflate.h.

Referenced by inflateBack9().

## ◆ lencode

code const FAR* inflate_state::lencode

Definition at line 110 of file inflate.h.

Referenced by inflateBack9(), and inflateCopy().

## ◆ length

unsigned inflate_state::length

Definition at line 105 of file inflate.h.

Referenced by inflateBack9().

## ◆ lens

unsigned short inflate_state::lens

Definition at line 44 of file inflate9.h.

## ◆ mode

inflate_mode inflate_state::mode

Definition at line 84 of file inflate.h.

## ◆ ncode

unsigned inflate_state::ncode

Definition at line 39 of file inflate9.h.

## ◆ ndist

unsigned inflate_state::ndist

Definition at line 41 of file inflate9.h.

## ◆ next

code FAR * inflate_state::next

Definition at line 43 of file inflate9.h.

Referenced by fixedtables(), inflate(), inflateBack(), inflateBack9(), inflateCopy(), and syncsearch().

## ◆ nlen

unsigned inflate_state::nlen

Definition at line 40 of file inflate9.h.

## ◆ offset

unsigned inflate_state::offset

Definition at line 106 of file inflate.h.

## ◆ sane

int inflate_state::sane

Definition at line 123 of file inflate.h.

## ◆ strm

z_streamp inflate_state::strm

Definition at line 83 of file inflate.h.

Referenced by inflate(), inflate_fast(), inflateBack(), inflateBack9(), inflateBack9End(), inflateBack9Init_(), inflateBackEnd(), inflateBackInit_(), inflateCodesUsed(), inflateCopy(), inflateEnd(), inflateGetDictionary(), inflateGetHeader(), inflateInit2_(), inflateMark(), inflatePrime(), inflateReset(), inflateReset2(), inflateResetKeep(), inflateSetDictionary(), inflateStateCheck(), inflateSync(), inflateSyncPoint(), inflateUndermine(), inflateValidate(), and updatewindow().

## ◆ total

unsigned long inflate_state::total

Definition at line 93 of file inflate.h.

## ◆ was

unsigned inflate_state::was

Definition at line 125 of file inflate.h.

## ◆ wbits

unsigned inflate_state::wbits

Definition at line 96 of file inflate.h.

## ◆ whave

unsigned inflate_state::whave

Definition at line 98 of file inflate.h.

Referenced by inflate_fast().

## ◆ window

unsigned char FAR * inflate_state::window

Definition at line 37 of file inflate9.h.

Referenced by inflate_fast(), inflateBack9(), inflateBack9Init_(), inflateBackInit_(), and inflateCopy().

## ◆ wnext

unsigned inflate_state::wnext

Definition at line 99 of file inflate.h.

Referenced by inflate_fast().

## ◆ work

unsigned short inflate_state::work

Definition at line 45 of file inflate9.h.

## ◆ wrap

int inflate_state::wrap

Definition at line 86 of file inflate.h.

Referenced by inflateBack9(), and inflateReset2().

## ◆ wsize

unsigned inflate_state::wsize

Definition at line 97 of file inflate.h.

Referenced by inflate_fast(), inflateBack(), and inflateCopy().

The documentation for this struct was generated from the following files:

- ext/zlib/zlib-1.2.13/contrib/infback9/inflate9.h
- ext/zlib/zlib-1.2.13/inflate.h